Share via


Name Availability - Execute

Check the availability of name for resource

POST https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.DBforPostgreSQL/checkNameAvailability?api-version=2022-12-01

URI Parameters

Name In Required Type Description
subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
name

string

The name of the resource for which availability needs to be checked.

type

string

The resource type.

Responses

Name Type Description
200 OK

NameAvailability

OK

Other Status Codes

ErrorResponse

Error response describing why the operation failed.

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

NameAvailability

Sample request

POST https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/providers/Microsoft.DBforPostgreSQL/checkNameAvailability?api-version=2022-12-01

{
  "name": "name1",
  "type": "Microsoft.DBforPostgreSQL/flexibleServers"
}

Sample response

{
  "nameAvailable": true,
  "message": "",
  "name": "name1",
  "type": "Microsoft.DBforPostgreSQL/flexibleServers"
}

Definitions

Name Description
CheckNameAvailabilityReason

The reason why the given name is not available.

CheckNameAvailabilityRequest

The check availability request body.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

NameAvailability

Represents a resource name availability.

CheckNameAvailabilityReason

The reason why the given name is not available.

Value Description
Invalid
AlreadyExists

CheckNameAvailabilityRequest

The check availability request body.

Name Type Description
name

string

The name of the resource for which availability needs to be checked.

type

string

The resource type.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

NameAvailability

Represents a resource name availability.

Name Type Description
message

string

Detailed reason why the given name is available.

name

string

name of the PostgreSQL server.

nameAvailable

boolean

Indicates if the resource name is available.

reason

CheckNameAvailabilityReason

The reason why the given name is not available.

type

string

type of the server